Subject: bug#43960:

From: Bengt Richter <[email-masked]>
Date: Thu, 15 Oct 2020 18:39:23 +0200

Hi Simon,

On +2020-10-15 15:56:41 +0200, zimoun wrote:
> Hi Bengt,
> 
> On Thu, 15 Oct 2020 at 15:53, Bengt Richter <[email-masked]> wrote:
> 
> > If there is a left-over from old manual installation advice like
> > --8<---------------cut here---------------start------------->8---
> > /usr/local/bin/guix:
> >     symbolic link to /var/guix/profiles/per-user/root/current-guix/bin/guix
> > --8<---------------cut here---------------end--------------->8---
> > could it interfere in any way with the above, or subsequent operation?
> 
> You mean the step #6 from the manual [1], right?
>

Yes. I didn't realize it was still there -- I may mis-remember some discussion
deprecating the use of /usr/local/* to affect the namespace seen when typing guix whatever.
(vs putting needed info in ~/.bash_profile or ~/.profile)

I.e., even though the target is /var/guix/... it is not by way of ~/.guix-profile unless
that's been put first in the path via ~/.bash_profile.

But /usr/local/bin is typically on a default PATH, so could you not accidentally see the
wrong guix (rather than a more informative file-not-found) if the enviroment was not
straight-forwardly inherited from a normal login? (e.g. emacs subshell pts? Haven't checked ;)

Also doesn't the ".../per-user/root/..." part in the link make you dependent
on the result of _sudo_ guix pull, not plain guix pull? (or are they equivalent somehow?)

IDK, but I really don't like typing "sudo guix ..." any better than "sudo firefox" or "sudo python"
or "sudo <anything I can't completely predict what files condition the outputs or where they go>"

I hope we can get to 100%-user-mode guix. Maybe offloading to containerized guix
systems could be a model for swarms of cooperating user-mode peers (modulo some protocol
for synchronizing versions identified by guix describe) for distributed challenges,
and normal usage would run guix with a localhost swarm providing the guix user-mode-daemons ;)

> 1: <https://guix.gnu.org/devel/manual/en/guix.html#Binary-Installation>
> 
> 
> All the best,
> simon

Sorry if this is only illustrating my noob misconceptions :)

-- 
Regards,
Bengt Richter